Name:		AnisView
Version:	1.5
Release:	%mkrel 1
License:	Proprietary
Group:		Sciences/Geosciences
Summary:	AnisView: visualize BRDF
URL:		https://forest.jrc.ec.europa.eu/en/activities/lpa/anisview/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Source1:        %{name}-%{version}.tar.xz
Source2:        anisview
Requires:       bc
Requires:       sed
Requires:       xset
Requires:       bash
Requires:       xdg-utils
AutoReqProv:    no

%description
AnisView is an educational software to visualize and simulate
the bidirectional reflectance distribution function (BRDF).

%prep
%setup -T -n %{name} -c

%build
#nobuild

%install
rm -rf %buildroot
mkdir -p %buildroot

# extract data
mkdir -p %buildroot/opt
tar -xf %{SOURCE1} -C %{buildroot}/opt

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/anisview

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{buildroot}/opt/%{name}/idl/%{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%_datadir/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=AnisView
GenericName=AnisView
Type=Application
Exec=anisview
TryExec=anisview
Icon=%{name}.png
Comment=visualize BRDF
Categories=Education;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;
Terminal=false
StartupNotify=true
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/anisview
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/%{name}


%changelog
* Fri Apr 30 2021 pp <pp> 1.5-1pclos2020
- update

* Sat Nov 14 2020 pp <pp> 1.4-1pclos2020
- update

* Wed Sep 18 2019 pp <pp> 1.3-2pclos2019
- remove dep xp6

* Fri Dec 14 2018 pp <pp> 1.3-1pclos2018
- initial package
